<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" exclude-result-prefixes="xpil" xmlns:prop="java.util.Properties" xmlns:xpil="http://www.together.at/2006/XPIL1.0" xmlns:xpdl="http://www.wfmc.org/2002/XPDL1.0" version="1.0">
	<xsl:output method="html" />
	<xsl:param name="auth_type" select="FORM" />
	<xsl:param name="username" select="u" />
	<xsl:param name="from_element" select="11" />
	<xsl:param name="to_element" select="20" />
	<xsl:param name="sortCriterion" select="20" />
	<xsl:param name="sortAsc" select="true" />
	<xsl:param name="total_number" select="200" />
	<xsl:param name="fromPage" select="p" />
	<xsl:param name="readonly" select="false" />
	<xsl:param name="edmWebDAVAllowed" select="e" />
	<xsl:param name="sessionKey" select="e" />
	<xsl:param name="selected_user" select="e" />
	<xsl:param name="sharkEdition" select="e" />
    <xsl:param name="protocol" select="e" />
    <xsl:param name="host" select="e" />
    <xsl:param name="port" select="e" />
	<xsl:param name="navig_url" select="ProcessDetailHandlerPO.po" />
	<xsl:include xmlns:xsl="http://www.w3.org/1999/XSL/Transform" href="menu.xsl" />
	<xsl:include xmlns:xsl="http://www.w3.org/1999/XSL/Transform" href="footer.xsl" />
	<xsl:include xmlns:xsl="http://www.w3.org/1999/XSL/Transform" href="properties.xsl"/>
	
	<xsl:template match="xpil:ExtendedWorkflowFacilityInstance">
		<html xmlns="http://www.w3.org/1999/xhtml">
			<head>
				<title>Process Details</title>
				<link href="styles/style.css" rel="stylesheet" type="text/css" media="screen,projection,tv"/>
				<link href="styles/style_ie.css" rel="stylesheet" type="text/css" media="screen,projection,tv"/>
				
				<!--[if lte IE 6]>
				<link href="styles/style_iel.css" rel="stylesheet" type="text/css" media="screen,projection,tv">
				<![endif]-->
				<!--[if gte IE 7]>
				<link href="styles/style_ie.css" rel="stylesheet" type="text/css" media="screen,projection,tv">
				<![endif]-->
				<!--[if gte IE 8]>
				<link href="styles/style_ien.css" rel="stylesheet" type="text/css" media="screen,projection,tv">
				<![endif]-->
				<script type="text/javascript" src="js/jslib.js"></script>
				<script type="text/javascript" src="js/dynstyles.js"></script>
				
				<script type="text/javascript" xmlns:prop="java.util.Properties" xmlns:xml="http://www.w3.org/XML/1998/namespace" xmlns:xpdl="http://www.wfmc.org/2002/XPDL1.0">
					function submitForm(formId, actionAttr) { 
						var formTag = document.getElementById(formId);
						formTag.action=actionAttr; formTag.submit(); 
					}
					
					function submitFormEvent(formId, actionAttr,event) {
						var formTag = document.getElementById(formId);
						formTag.action=actionAttr;
						formTag.event.value=event; formTag.submit(); 
					}
				</script>
			</head>
<body>
<div id="w0">

<!-- page -->
<div id="pw0"><div id="pw">

<!-- header -->
<div id="ph"><div id="phw">

<xsl:variable name="closeUrl">javascript:submitFormEvent('mainForm','ProcessDetailHandlerPO.po?from=<xsl:value-of select='$from_element' />&#38;sortCriterion=<xsl:value-of select="$sortCriterion" />&#38;sortAsc=<xsl:value-of select="$sortAsc" />&#38;fromPage=<xsl:value-of select="$fromPage" />&#38;selected_user=<xsl:value-of select="$selected_user"/>','close')</xsl:variable>

<!-- header menu -->
	<xsl:call-template name="Menu">
		<xsl:with-param name="prop_repository" select="prop:getProperty('repository','true')" />
		<xsl:with-param name="prop_packagelist" select="prop:getProperty('packagelist','true')" />
		<xsl:with-param name="prop_processinst" select="prop:getProperty('processinst','true')" />
		<xsl:with-param name="prop_processmonitor" select="prop:getProperty('processmonitor','true')" />
		<xsl:with-param name="prop_usermanag" select="prop:getProperty('usermanag','true')" />
		<xsl:with-param name="prop_worklist" select="prop:getProperty('worklist','true')" />
		<xsl:with-param name="prop_processlist" select="prop:getProperty('processlist','true')" />
		<xsl:with-param name="prop_cache" select="prop:getProperty('cache','true')" />
		<xsl:with-param name="prop_application" select="prop:getProperty('application','true')" />
		<xsl:with-param name="prop_participant" select="prop:getProperty('participant','true')" />
		<xsl:with-param name="prop_groupmanag" select="prop:getProperty('groupmanag','true')" />
	</xsl:call-template>
<!-- header menu end -->	
                    
<!-- toolbar -->
<div id="cnthdr">
	<div id="cnthdrw0">
		<div id="cnthdrw">
			<div class="h01">
				<h1>Process Details</h1>
			</div>
			<div class="cnttbw">
				<div class="toolbar">
					<div class="toolbarw0">
						<div class="toolbarw">
							<ul class="toollset toollsetsa">
								<li><a class="back" href="{$closeUrl}" title="Back"><span></span></a></li>
							</ul>
						</div>
					</div>
				</div>
			</div>	
		</div>
	</div>
</div>
<!-- toolbar end -->
</div></div>
<!-- header end-->

<!-- frame -->
<div id="cntframew"><div id="cntframe"><div id="cnt01" style="width:100%;">
<form action="javascript: void 0" id="mainForm" method="post" name="mainForm">
<input name="event" type="hidden"/>
<span style="color:red">
<table width="100%" border="0"
	align="center" cellpadding="0" cellspacing="0">
						<tr height="35">
							<td width="2%" />
							<td align="left" colspan="2">
								<span class="text"><b>GENERAL INFO</b></span>
							</td>
							<td width="2%" />
						</tr>
						<tr>
							<td colspan="4">
								<table width="100%" hight="100%"
									align="center" border="0" cellpadding="0" cellspacing="0">
								<tbody class="text">
									<xsl:for-each select="//.">
										<xsl:choose>
											<xsl:when
												test="name()='xpil:PackageInstance'">
												<tr class="text">
													<td>
														<b>XPDL Id:</b>
													</td>
													<td>
														<xsl:value-of
															select="@Id" />
													</td>
												</tr>
												<tr>
													<td>
														<b>
															XPDL
															Version:
														</b>
													</td>
													<td>
														<xsl:value-of
															select="@Version" />
													</td>
												</tr>
												<tr>
													<td>
														<b>
															Factory
															Name:
														</b>
													</td>
													<td>
														<xsl:value-of
															select="xpil:WorkflowProcessFactoryInstances/xpil:WorkflowProcessFactoryInstance/@Id" />
													</td>
												</tr>
												<tr>
													<td>
														<b>
															Factory
															State:
														</b>
													</td>
													<td>
														<xsl:value-of
															select="xpil:WorkflowProcessFactoryInstances/xpil:WorkflowProcessFactoryInstance/@State" />
													</td>
												</tr>
												<tr>
													<td>
														<b>
															Definition
															Id:
														</b>
													</td>
													<td>
														<xsl:value-of
															select="xpil:WorkflowProcessFactoryInstances/xpil:WorkflowProcessFactoryInstance/@DefinitionId" />
													</td>
												</tr>
											</xsl:when>
										</xsl:choose>
										<xsl:choose>
											<xsl:when
												test="name()='xpil:MainWorkflowProcessInstance' or name()='xpil:SubWorkflowProcessInstance'">
												<tr>
													<td>
														<b>Id:</b>
													</td>
													<td>
														<xsl:value-of
															select="@Id" />
													</td>
												</tr>
												<tr>
													<td>
														<b>Name:</b>
													</td>
													<td>
														<xsl:value-of
															select="@Name" />
													</td>
												</tr>
												<tr>
													<td>
														<b>State:</b>
													</td>
													<td>
														<xsl:value-of
															select="@State" />
													</td>
												</tr>
												<tr>
													<td>
														<b>Created:</b>
													</td>
													<td>
														<xsl:value-of
															select="@Created" />
													</td>
												</tr>
												<tr>
													<td>
														<b>Finished:</b>
													</td>
													<td>
														<xsl:value-of
															select="@Finished" />
													</td>
												</tr>
												<tr>
													<td>
														<b>
															Requester
															Username:
														</b>
													</td>
													<td>
														<xsl:value-of
															select="@RequesterUsername" />
													</td>
												</tr>
											</xsl:when>
										</xsl:choose>
									</xsl:for-each>
									</tbody>
								</table>
							</td>
						</tr>

						<tr height="35">
							<td width="2%" colspan="4" />
						</tr>
						<tr height="35">
							<td width="2%" />
							<td align="left" colspan="2">

							</td>
							<td width="2%" />
						</tr>
						<tr>
							<td colspan="4">
								<xsl:for-each select="//.">


									<xsl:if test='xpil:DataInstances'>
										<span class="text"><b>PROPERTIES</b></span>
										<!-- Variable Start -->
										<table align="center"
											width="100%" hight="100%" border="0">
										<tbody class="text">
											<xsl:for-each
												select="//.">

												<xsl:if
													test="name()='xpil:StringDataInstance'">
													<tr>
														<xsl:variable
															name="i">
															<xsl:value-of
																select="@Id" />
														</xsl:variable>
														<xsl:variable
															name="val">
															<xsl:value-of
																select="@Value" />
														</xsl:variable>

														<xsl:variable
															name="suff">
															<xsl:value-of
																select="xpdl:DataField/@Name" />
														</xsl:variable>
														<xsl:choose>

															<xsl:when
																test="$readonly='false'">
																<xsl:choose>
																	<!-- LARGE SIZE -->
																	<xsl:when
																		test="xpil:InstanceExtendedAttributes/xpil:InstanceExtendedAttribute/@Name='RENDERING_HINT' and xpil:InstanceExtendedAttributes/xpil:InstanceExtendedAttribute/@Value='Size=L'">
																		<td
																			align="left" width="450">
																			<b>
																				<xsl:choose>
																					<xsl:when
																						test="$suff!=''">
																						<xsl:value-of
																							select="$suff" />
																					</xsl:when>
																					<xsl:otherwise>
																						<xsl:value-of
																							select="$i" />
																					</xsl:otherwise>
																				</xsl:choose>
																			</b>
																		</td>
																		<td
																			colspan="3" height="30"
																			align="left">
																			<xsl:element
																				name="textarea">
																				<xsl:attribute
																					name="name">
																					te_
																					<xsl:value-of
																						select="@Id" />
																				</xsl:attribute>
																				<xsl:attribute
																					name="rows">
																					5
																				</xsl:attribute>
																				<xsl:attribute
																					name="cols">
																					75
																				</xsl:attribute>
																				<xsl:value-of
																					select="@Id" />
																			</xsl:element>

																			<xsl:variable
																				name="updateUrl">
																				javascript:submitFormEvent('mainForm','ProcessDetailHandlerPO.po?from=
																				<xsl:value-of
																					select='$from_element' />
																				&#38;sortCriterion=
																				<xsl:value-of
																					select="$sortCriterion" />
																				&#38;sortAsc=
																				<xsl:value-of
																					select="$sortAsc" />
																				&#38;fromPage=
																				<xsl:value-of
																					select="$fromPage" />
																				&#38;readonly=
																				<xsl:value-of
																					select="$readonly" />
																				&#38;id_var=
																				<xsl:value-of
																					select="$i" />
																				&#38;id_pro=
																				<xsl:value-of
																					select="../../@Id" />
																				&#38;selected_user=<xsl:value-of select="$selected_user"/>
																				&#38;in_field=te
																				&#38;var_type=String
																				','update')
																			</xsl:variable>

																			<a
																				href="{$updateUrl}" class="link_text">
																				<img
																					src="media/edit.gif" border="0" alt="Update" />
																			</a>

																		</td>
																	</xsl:when>
																	<xsl:otherwise>
																		<td
																			align="left" width="450">
																			<b>
																				<xsl:choose>
																					<xsl:when
																						test="$suff!=''">
																						<xsl:value-of
																							select="$suff" />
																					</xsl:when>
																					<xsl:otherwise>
																						<xsl:value-of
																							select="$i" />
																					</xsl:otherwise>
																				</xsl:choose>
																			</b>
																		</td>
																		<td
																			colspan="3" height="30"
																			align="left">
																			<input
																				type="text" name="in1_{$i}" align="left"
																				value="{$val}" />


																			<xsl:variable
																				name="updateUrl">
																				javascript:submitFormEvent('mainForm','ProcessDetailHandlerPO.po?from=
																				<xsl:value-of
																					select='$from_element' />
																				&#38;sortCriterion=
																				<xsl:value-of
																					select="$sortCriterion" />
																				&#38;sortAsc=
																				<xsl:value-of
																					select="$sortAsc" />
																				&#38;fromPage=
																				<xsl:value-of
																					select="$fromPage" />
																				&#38;readonly=
																				<xsl:value-of
																					select="$readonly" />
																				&#38;id_var=
																				<xsl:value-of
																					select="$i" />
																				&#38;id_pro=
																				<xsl:value-of
																					select="../../@Id" />
																				&#38;selected_user=<xsl:value-of select="$selected_user"/>
																				&#38;in_field=in1
																				&#38;var_type=String
																				','update')
																			</xsl:variable>

																			<a
																				href="{$updateUrl}" class="link_text">
																				<img
																					src="media/edit.gif" border="0" alt="Update" />
																			</a>

																		</td>
																	</xsl:otherwise>
																</xsl:choose>
															</xsl:when>
															<xsl:otherwise>
																<xsl:choose>

																	<xsl:when
																		test="xpil:InstanceExtendedAttributes/xpil:InstanceExtendedAttribute/@Name='RENDERING_HINT' and xpil:InstanceExtendedAttributes/xpil:InstanceExtendedAttribute/@Value='Size=L'">
																		<td
																			align="left" width="450">
																			<b>
																				<xsl:choose>
																					<xsl:when
																						test="$suff!=''">
																						<xsl:value-of
																							select="$suff" />
																					</xsl:when>
																					<xsl:otherwise>
																						<xsl:value-of
																							select="$i" />
																					</xsl:otherwise>
																				</xsl:choose>
																			</b>
																		</td>
																		<td
																			align="left">


																			<xsl:value-of
																				select="$val" />


																		</td>
																	</xsl:when>
																	<xsl:otherwise>
																		<td
																			align="left" width="450">
																			<b>
																				<xsl:choose>
																					<xsl:when
																						test="$suff!=''">
																						<xsl:value-of
																							select="$suff" />
																					</xsl:when>
																					<xsl:otherwise>
																						<xsl:value-of
																							select="$i" />
																					</xsl:otherwise>
																				</xsl:choose>
																			</b>
																		</td>
																		<td
																			align="left">

																			<xsl:value-of
																				select="$val" />

																		</td>
																	</xsl:otherwise>
																</xsl:choose>
															</xsl:otherwise>
														</xsl:choose>


													</tr>
												</xsl:if>
												<xsl:if
													test="name()='xpil:DoubleDataInstance'">
													<tr>
														<xsl:variable
															name="i">
															<xsl:value-of
																select="@Id" />
														</xsl:variable>
														<xsl:variable
															name="val">
															<xsl:value-of
																select="@Value" />
														</xsl:variable>
														<xsl:variable
															name="suff">
															<xsl:value-of
																select="xpdl:DataField/@Name" />
														</xsl:variable>
														<td align="left"
															width="450">

															<b>
																<xsl:choose>
																	<xsl:when
																		test="$suff!=''">
																		<xsl:value-of
																			select="$suff" />
																	</xsl:when>
																	<xsl:otherwise>
																		<xsl:value-of
																			select="$i" />
																	</xsl:otherwise>
																</xsl:choose>
															</b>
														</td>

														<xsl:choose>
															<xsl:when
																test="$readonly='false'">
																<td
																	colspan="3" height="30"
																	align="left">
																	<input
																		type="text" name="in2_{$i}" align="left"
																		value="{$val}" />

																	<xsl:variable
																		name="updateUrl">
																		javascript:submitFormEvent('mainForm','ProcessDetailHandlerPO.po?from=
																		<xsl:value-of
																			select='$from_element' />
																		&#38;sortCriterion=
																		<xsl:value-of
																			select="$sortCriterion" />
																		&#38;sortAsc=
																		<xsl:value-of
																			select="$sortAsc" />
																		&#38;fromPage=
																		<xsl:value-of
																			select="$fromPage" />
																		&#38;readonly=
																		<xsl:value-of
																			select="$readonly" />
																		&#38;id_var=
																		<xsl:value-of
																			select="$i" />
																		&#38;id_pro=
																		<xsl:value-of
																			select="../../@Id" />
																		&#38;selected_user=<xsl:value-of select="$selected_user"/>
																		&#38;in_field=in2
																		&#38;var_type=Double
																		','update')
																	</xsl:variable>

																	<a
																		href="{$updateUrl}" class="link_text">
																		<img
																			src="media/edit.gif" border="0" alt="Update" />
																	</a>

																</td>
															</xsl:when>
															<xsl:otherwise>
																<td
																	align="left">
																	<xsl:value-of
																		select="$val" />
																</td>

															</xsl:otherwise>
														</xsl:choose>

													</tr>
												</xsl:if>


												<xsl:if
													test="name()='xpil:LongDataInstance'">
													<tr>
														<xsl:variable
															name="i">
															<xsl:value-of
																select="@Id" />
														</xsl:variable>
														<xsl:variable
															name="val">
															<xsl:value-of
																select="@Value" />
														</xsl:variable>
														<xsl:variable
															name="suff">
															<xsl:value-of
																select="xpdl:DataField/@Name" />
														</xsl:variable>
														<td align="left"
															width="450">

															<b>
																<xsl:choose>
																	<xsl:when
																		test="$suff!=''">
																		<xsl:value-of
																			select="$suff" />
																	</xsl:when>
																	<xsl:otherwise>
																		<xsl:value-of
																			select="$i" />
																	</xsl:otherwise>
																</xsl:choose>
															</b>
														</td>

														<xsl:choose>
															<xsl:when
																test="$readonly='false'">
																<td
																	colspan="3" height="30"
																	align="left">
																	<input
																		type="text" name="in3_{$i}" align="left"
																		value="{$val}" />

																	<xsl:variable
																		name="updateUrl">
																		javascript:submitFormEvent('mainForm','ProcessDetailHandlerPO.po?from=
																		<xsl:value-of
																			select='$from_element' />
																		&#38;sortCriterion=
																		<xsl:value-of
																			select="$sortCriterion" />
																		&#38;sortAsc=
																		<xsl:value-of
																			select="$sortAsc" />
																		&#38;fromPage=
																		<xsl:value-of
																			select="$fromPage" />
																		&#38;readonly=
																		<xsl:value-of
																			select="$readonly" />
																		&#38;id_var=
																		<xsl:value-of
																			select="$i" />
																		&#38;id_pro=
																		<xsl:value-of
																			select="../../@Id" />
																		&#38;selected_user=<xsl:value-of select="$selected_user"/>
																		&#38;in_field=in3
																		&#38;var_type=Long
																		','update')
																	</xsl:variable>

																	<a
																		href="{$updateUrl}" class="link_text">
																		<img
																			src="media/update.gif" border="0" alt="Update" />
																	</a>

																</td>
															</xsl:when>
															<xsl:otherwise>
																<td
																	align="left">
																	<xsl:value-of
																		select="$val" />
																</td>
															</xsl:otherwise>
														</xsl:choose>

													</tr>
												</xsl:if>


												<xsl:if
													test="name()='xpil:BooleanDataInstance'">
													<tr>
														<xsl:variable
															name="i">
															<xsl:value-of
																select="@Id" />
														</xsl:variable>
														<xsl:variable
															name="val">
															<xsl:value-of
																select="@Value" />
														</xsl:variable>
														<xsl:variable
															name="suff">
															<xsl:value-of
																select="xpdl:DataField/@Name" />
														</xsl:variable>
														<td align="left"
															width="450">
															<b>
																<xsl:choose>
																	<xsl:when
																		test="$suff!=''">
																		<xsl:value-of
																			select="$suff" />
																	</xsl:when>
																	<xsl:otherwise>
																		<xsl:value-of
																			select="$i" />
																	</xsl:otherwise>
																</xsl:choose>
															</b>
														</td>

														<xsl:choose>
															<xsl:when
																test="$readonly='false'">
																<td
																	colspan="3" height="30"
																	align="left">
																	<xsl:choose>
																		<xsl:when
																			test="$val='true'">
																			<input
																				type="radio" name="in4_{$i}" align="left"
																				value="true" checked="true" />
																			true
																			<input
																				type="radio" name="in4_{$i}" align="left"
																				value="false" />
																			false
																		</xsl:when>
																		<xsl:otherwise>
																			<input
																				type="radio" name="in4_{$i}" align="left"
																				value="true" />
																			true
																			<input
																				type="radio" name="in4_{$i}" align="left"
																				value="false" checked="true" />
																			false
																		</xsl:otherwise>
																	</xsl:choose>



																	<xsl:variable
																		name="updateUrl">
																		javascript:submitFormEvent('mainForm','ProcessDetailHandlerPO.po?from=
																		<xsl:value-of
																			select='$from_element' />
																		&#38;sortCriterion=
																		<xsl:value-of
																			select="$sortCriterion" />
																		&#38;sortAsc=
																		<xsl:value-of
																			select="$sortAsc" />
																		&#38;fromPage=
																		<xsl:value-of
																			select="$fromPage" />
																		&#38;readonly=
																		<xsl:value-of
																			select="$readonly" />
																		&#38;id_var=
																		<xsl:value-of
																			select="$i" />
																		&#38;id_pro=
																		<xsl:value-of
																			select="../../@Id" />
																		&#38;selected_user=<xsl:value-of select="$selected_user"/>
																		&#38;in_field=in4
																		&#38;var_type=Boolean
																		','update')
																	</xsl:variable>

																	<a
																		href="{$updateUrl}" class="link_text">
																		<img
																			src="media/update.gif" border="0" alt="Update" />
																	</a>

																</td>
															</xsl:when>
															<xsl:otherwise>
																<td
																	align="left">
																	<xsl:value-of
																		select="$val" />
																</td>

															</xsl:otherwise>
														</xsl:choose>

													</tr>
												</xsl:if>


												<xsl:if
													test="name()='xpil:DateDataInstance'">
													<tr>
														<xsl:variable
															name="i">
															<xsl:value-of
																select="@Id" />
														</xsl:variable>
														<xsl:variable
															name="val">
															<xsl:value-of
																select="@Value" />
														</xsl:variable>
														<xsl:variable
															name="suff">
															<xsl:value-of
																select="xpdl:DataField/@Name" />
														</xsl:variable>
														<td align="left"
															width="450">
															<b>
																<xsl:choose>
																	<xsl:when
																		test="$suff!=''">
																		<xsl:value-of
																			select="$suff" />
																	</xsl:when>
																	<xsl:otherwise>
																		<xsl:value-of
																			select="$i" />
																	</xsl:otherwise>
																</xsl:choose>
															</b>
														</td>

														<xsl:choose>
															<xsl:when
																test="$readonly='false'">
																<td
																	colspan="3" height="30"
																	align="left">
																	<input
																		type="text" name="in5_{$i}" align="left"
																		value="{$val}" />

																	<xsl:variable
																		name="updateUrl">
																		javascript:submitFormEvent('mainForm','ProcessDetailHandlerPO.po?from=
																		<xsl:value-of
																			select='$from_element' />
																		&#38;sortCriterion=
																		<xsl:value-of
																			select="$sortCriterion" />
																		&#38;sortAsc=
																		<xsl:value-of
																			select="$sortAsc" />
																		&#38;fromPage=
																		<xsl:value-of
																			select="$fromPage" />
																		&#38;readonly=
																		<xsl:value-of
																			select="$readonly" />
																		&#38;id_var=
																		<xsl:value-of
																			select="$i" />
																		&#38;id_pro=
																		<xsl:value-of
																			select="../../@Id" />
																		&#38;selected_user=<xsl:value-of select="$selected_user"/>
																		&#38;in_field=in5
																		&#38;var_type=Date
																		','update')
																	</xsl:variable>

																	<a
																		href="{$updateUrl}" class="link_text">
																		<img
																			src="media/update.gif" border="0" alt="Update" />
																	</a>

																</td>
															</xsl:when>
															<xsl:otherwise>
																<td
																	align="left">
																	<xsl:value-of
																		select="$val" />
																</td>

															</xsl:otherwise>
														</xsl:choose>

													</tr>
												</xsl:if>

											</xsl:for-each>
										</tbody>
										</table>
									</xsl:if>

									<xsl:if
										test='xpil:ActivityInstances'>
										<br/>
										<table align="center"
											width="100%" hight="100%" border="0">
											<tbody class="text">
											<xsl:for-each
												select="//.">

												<xsl:if
													test="name()='xpil:ManualActivityInstance' or name()='xpil:ToolActivityInstance' or name()='xpil:SubFlowActivityInstance' or name()='xpil:RouteActivityInstance' or name()='xpil:BlockActivityInstance'">
													<xsl:variable
														name="state">
														<xsl:value-of
															select="@State" />
													</xsl:variable>
													<xsl:choose>
														<xsl:when
															test="$state='open.running' or $state='open.not_running.not_started'">
															<tr
																height="20" />
															<tr>
																<td>
																	<b>
																		ACTIVITY(opened):
																	</b>
																</td>
															</tr>
															<tr>
																<td
																	width="200" align="left">
																	<b>
																		Id:
																	</b>
																</td>
																<td
																	align="left">
																	<xsl:value-of
																		select="@Id" />
																</td>
															</tr>
															<tr>
																<td
																	width="200" align="left">
																	<b>
																		Name:
																	</b>
																</td>
																<td
																	align="left">
																	<xsl:value-of
																		select="@Name" />
																</td>
															</tr>
															<tr>
																<td
																	width="200" align="left">
																	<b>
																		State:
																	</b>
																</td>
																<td
																	align="left">
																	<xsl:value-of
																		select="@State" />
																</td>
															</tr>
															<tr>
																<td
																	width="200" align="left">
																	<b>
																		Created:
																	</b>
																</td>
																<td
																	align="left">
																	<xsl:value-of
																		select="@Created" />
																</td>
															</tr>
															<tr>
																<td
																	width="200" align="left">
																	<b>
																		Started:
																	</b>
																</td>
																<td
																	align="left">
																	<xsl:value-of
																		select="@Started" />
																</td>
															</tr>
															<tr>
																<td
																	width="200" align="left">
																	<b>
																		Finished:
																	</b>
																</td>
																<td
																	align="left">
																	<xsl:value-of
																		select="@Finished" />
																</td>
															</tr>
														</xsl:when>
														<xsl:otherwise>
															<tr></tr>
														</xsl:otherwise>
													</xsl:choose>
												</xsl:if>
											</xsl:for-each>
											</tbody>
										</table>
									</xsl:if>
								</xsl:for-each>
								<!-- Variable End -->
							</td>
						</tr>
                        <xsl:if test="$sharkEdition!='community' and $edmWebDAVAllowed='true'">
                         <tr height="600px">
						<xsl:variable name="webDAVurl">/sharkWebClient/webdav/<xsl:value-of select="/xpil:ExtendedWorkflowFacilityInstance/xpil:PackageInstance/xpil:WorkflowProcessFactoryInstances/xpil:WorkflowProcessFactoryInstance/xpil:WorkflowProcessInstances/*/@Id" />?xsl=documents.xsl&#38;sessionKey=<xsl:value-of select="$sessionKey"/>&#38;resourcePath=/sharkWebClient/prof/edm&#38;itemsPerPage=25&#38;previewerURL=<xsl:value-of select='$protocol'/>://<xsl:value-of select='$host'/>:<xsl:value-of select='$port'/>/tdv/Preview.po
						</xsl:variable>	
						 <td colspan="4">
			              <frameset>
				          <iframe name="tablefrm" id="tablefrm" width="100%" height="100%" frameborder="no" src="{$webDAVurl}" ></iframe>
			              </frameset>
						 </td>
						
						 </tr>
						 </xsl:if>
</table>	
</span>					 
</form>
</div>
</div></div>
<!-- frame end -->    

<!-- footer -->
	<xsl:call-template name="Footer"></xsl:call-template>
<!-- footer end -->

</div></div>
<!-- page end -->

</div>

<script type="text/javascript">
//<![CDATA[

dynStyleSet(['tbodyFrame']);

//]]>
</script>

</body>
</html>
</xsl:template>
</xsl:stylesheet>